# MongoDB\Driver\ReadConcern::getLevel

(mongodb >=1.0.0)

MongoDB\Driver\ReadConcern::getLevel — Returns the ReadConcern's "level" option

### Description

final public MongoDB\Driver\ReadConcern::getLevel ( void ) : string|null

### Parameters

This function has no parameters.

### Return Values

Returns the ReadConcern's "level" option.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\ReadConcern::getLevel() example

`<?php
$rc = new MongoDB\Driver\ReadConcern();
var_dump($rc->getLevel());
$rc = new MongoDB\Driver\ReadConcern(MongoDB\Driver\ReadConcern::LOCAL);
var_dump($rc->getLevel());
$rc = new MongoDB\Driver\ReadConcern(MongoDB\Driver\ReadConcern::MAJORITY);
var_dump($rc->getLevel());
?>`

The above example will output:

    NULL
    string(5) "local"
    string(8) "majority"

### See Also

- » Read Concern reference